gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GLib.Unions.DoubleIEEE754

Contents

- Exported types
- Methods
- Properties
  - vDouble

Description

The `FloatIEEE754` and `DoubleIEEE754` unions are used to access the sign, mantissa and exponent of IEEE floats and doubles. These unions are defined as appropriate for a given platform. IEEE floats and doubles are supported (used for storage) by at least Intel, PPC and Sparc.

Synopsis

- newtype DoubleIEEE754 = DoubleIEEE754 (ManagedPtr DoubleIEEE754)
- newZeroDoubleIEEE754 :: MonadIO m => m DoubleIEEE754
- getDoubleIEEE754VDouble :: MonadIO m => DoubleIEEE754 -> m Double
- setDoubleIEEE754VDouble :: MonadIO m => DoubleIEEE754 -> Double -> m ()

# Exported types

newtype DoubleIEEE754 Source #

Memory-managed wrapper type.

Constructors

DoubleIEEE754 (ManagedPtr DoubleIEEE754) |

#### Instances

Instances details

Eq DoubleIEEE754 Source # |
Instance details Defined in GI.GLib.Unions.DoubleIEEE754 Methods (==) :: DoubleIEEE754 -> DoubleIEEE754 -> Bool Source # (/=) :: DoubleIEEE754 -> DoubleIEEE754 -> Bool Source #
BoxedPtr DoubleIEEE754 Source # |
Instance details Defined in GI.GLib.Unions.DoubleIEEE754 Methods boxedPtrCopy :: DoubleIEEE754 -> IO DoubleIEEE754 Source # boxedPtrFree :: DoubleIEEE754 -> IO () Source #
CallocPtr DoubleIEEE754 Source # |
Instance details Defined in GI.GLib.Unions.DoubleIEEE754 Methods boxedPtrCalloc :: IO (Ptr DoubleIEEE754) Source #
ManagedPtrNewtype DoubleIEEE754 Source # |
Instance details Defined in GI.GLib.Unions.DoubleIEEE754 Methods toManagedPtr :: DoubleIEEE754 -> ManagedPtr DoubleIEEE754 Source #
tag ~ 'AttrSet => Constructible DoubleIEEE754 tag Source # |
Instance details Defined in GI.GLib.Unions.DoubleIEEE754 Methods new :: MonadIO m => (ManagedPtr DoubleIEEE754 -> DoubleIEEE754) -> [AttrOp DoubleIEEE754 tag] -> m DoubleIEEE754 Source #

newZeroDoubleIEEE754 :: MonadIO m => m DoubleIEEE754 Source #

Construct a `DoubleIEEE754` struct initialized to zero.

# Methods

# Properties

## vDouble

the double value

getDoubleIEEE754VDouble :: MonadIO m => DoubleIEEE754 -> m Double Source #

Get the value of the “`v_double`” field. When overloading is enabled, this is equivalent to

    get doubleIEEE754 #vDouble

setDoubleIEEE754VDouble :: MonadIO m => DoubleIEEE754 -> Double -> m () Source #

Set the value of the “`v_double`” field. When overloading is enabled, this is equivalent to

    set doubleIEEE754 [ #vDouble := value ]